with Ada.Command_Line; use Ada.Command_Line;
with Ada.Text_IO;      use Ada.Text_IO;
with GNAT.OS_Lib;      use GNAT.OS_Lib;
with Test;             use Test;

procedure Test_Language
is
   procedure Usage is
   begin
      Put_Line ("test_language <source_file>");
   end Usage;
begin

   if Argument_Count /= 1 then
      Usage;
      OS_Exit (1);
      return;
   end if;

   Run_Test (Source => Argument (1));

end Test_Language;
